export const _get = (source, path, defaultValue) => {
  if (typeof source !== "object") {
    throw new Error("Source property must be passed an object");
  }

  return (
    path.split(".").reduce((acc, curVal) => {
      let propertyValue;
      if (typeof acc === "object") {
        propertyValue = acc[curVal];
      } else {
        propertyValue = undefined;
      }

      return propertyValue;
    }, source) ?? defaultValue
  );
};
